List SCIM Groups
curl --request GET \
--url https://api.attention.tech/v2/scim/Groups \
--header 'Authorization: <api-key>'import requests
url = "https://api.attention.tech/v2/scim/Groups"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.attention.tech/v2/scim/Groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalResults": 2,
"startIndex": 1,
"itemsPerPage": 2,
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"Resources": [
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group",
"urn:okta:custom:group:1.0"
],
"displayName": "firstGroup",
"id": "1001",
"members": [
{
"value": "101",
"display": "okta"
}
],
"urn:okta:custom:group:1.0": {
"description": "This is the first group"
}
},
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"displayName": "secondGroup",
"id": "1002",
"members": [
{
"value": "101",
"display": "okta"
},
{
"value": "102",
"display": "admin"
}
]
}
]
}{
"code": 401,
"message": "unauthenticated for Invalid API key"
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "The details of the error",
"status": 409
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "The details of the error",
"status": 409
}Scim
List SCIM Groups
Retrieves a list of groups, supports filtering and pagination. Used by SCIM clients like Okta.
GET
/
scim
/
Groups
List SCIM Groups
Authorizations
Query Parameters
The 1-based index of the first result
Desired maximum number of query results per page
Was this page helpful?
⌘I